## profanity 0.15.1

=== apidocs/python/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ProfanityPythonPluginsAPI.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ProfanityPythonPluginsAPI.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ProfanityPythonPluginsAPI"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ProfanityPythonPluginsAPI"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## profanity 0.4.4

=== debian/changelog ===
profanity (0.4.4-2) unstable; urgency=medium

  * Added fix for FTBS on big endian architectures (Closes: #766171)
  * Bump standards to 3.9.6 no changes needed
  * Added copyright information for d/patches/endian.patch

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Tue, 21 Oct 2014 12:57:59 +0200

profanity (0.4.4-1) unstable; urgency=medium

  * Initial release (Closes: #745872)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Wed, 27 Aug 2014 12:34:59 +0200

=== debian/control ===
Source: profanity
Section: net
Priority: optional
Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libcaca-dev,
 libnotify-dev,
 libotr5-dev,
 libssl-dev,
 libstrophe-dev,
 pkg-config,
 libexpat1-dev,
 libncursesw5-dev,
 libcurl4-gnutls-dev,
 libcmocka-dev
Standards-Version: 3.9.6
Homepage: http://www.profanity.im/
Vcs-Git: git://anonscm.debian.org/collab-maint/profanity.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/profanity.git;a=summary

Package: profanity
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: console based XMPP client
 Profanity is a console based instant messaging client for XMPP (Jabber) 
 protocol based chat. It is written in C and ncurses, and is inspired 
 by popular IRC client IRSSI. 
 .
 Profanity's features are:
 .
  * XMPP chat services, including GoogleTalk and Facebook.
  * OTR (off the record) message encryption.
  * Complex roster management with grouping.
  * Desktop notifications via libnotify.
  * Flexible resource and priority settings.
  * Support for colorthemes.  
  * Support for plugins in C, Python, Ruby, and Lua.
  * MUC (multi user chatroom) support.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-notifications --enable-otr

## profanity 0.4.5

=== debian/changelog ===
profanity (0.4.5-1) unstable; urgency=medium

  * Imported Upstream version 0.4.5
  * Removed fix-spelling.patch
    - fixed in upstream
  * Removed endian.patch
    - fixed in upstream
  * d/copyright
    - reomoved entry for endian.patch

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Mon, 10 Nov 2014 07:35:10 +0100

## profanity 0.4.6

=== debian/changelog ===
profanity (0.4.6-1) unstable; urgency=medium

  * Imported Upstream version 0.4.6 (Closes: #780362)

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Fri, 13 Mar 2015 08:12:50 +0100

## profanity 0.4.7

=== debian/changelog ===
profanity (0.4.7-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:45:09 +0000

profanity (0.4.7-1) unstable; urgency=medium

  * Imported Upstream version 0.4.7
  * Removed d/patches/add-cflags-linking.patch
  * Added fix-spelling patch
  * d/control:
    - added libreadline-dev to Build-Deps
    - added libgpgme11-dev to Build-Deps
    - added uuid-dev to Build-Deps
  * d/rules:
    - enabled gpg support

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sat, 26 Sep 2015 16:47:33 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,10 @@
  pkg-config,
  libexpat1-dev,
  libncursesw5-dev,
+ libreadline-dev,
+ libgpgme11-dev,
  libcurl4-gnutls-dev,
+ uuid-dev,
  libcmocka-dev
 Standards-Version: 3.9.6
 Homepage: http://www.profanity.im/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-notifications --enable-otr --enable-pgp

=== debian/watch ===
version=3
https://github.com/boothj5/profanity/releases .*/archive/(\d[\d\.]+)\.tar\.gz

## profanity 0.5.0

=== debian/changelog ===
profanity (0.5.0-0.1ubuntu2) artful; urgency=medium

  * debian/patches/use_g_utf8_find_.patch: better upstream fix for build
    failures, including on armhf.  Thanks to Elena ``of Valhalla''
    <valhalla-l@trueelena.org>.  Closes: #852261.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 26 Aug 2017 17:11:12 -0700

profanity (0.5.0-0.1ubuntu1) zesty; urgency=medium

  * unicode-fix.patch: Pull commit from git to fix multibyte char handling.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 12 Apr 2017 07:19:17 -0600

profanity (0.5.0-0.1) unstable; urgency=medium

  [Jack Henschel]
  * Non-maintainer upload
  * Imported Upstream version 0.5.0 (Closes: #824167)
    - requires new version of libstrophe (>= 0.9.0)
  * Enable GTK status bar icons, Xscreensaver timeout
    and C-plugin support
  * Patches
     - removed (obsolete) fix_spelling_error.patch
     - introduced new fix-spelling-errors.patch
  * Update Standards-Version to 3.9.8

  [Dariusz Dwornikowski]
  * added *.la file dependencies cleaning in d/rules
  * changed directory for the internal lib to /usr/lib/profanity
  * d/control:
    - updated VCS fields to secure
    - changed maintainer's email address
    - debhelper >=10
  * d/copyright:
    - added Jack Henschel
    - updated dates and emails


 -- Jack Henschel <jh@openmailbox.org>  Sat, 07 Jan 2017 15:25:00 +0100

=== debian/control ===
Source: profanity
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dariusz Dwornikowski <darek@debian.org>
Build-Depends:
 autoconf-archive,
 debhelper (>= 10),
 dh-autoreconf,
 libcaca-dev,
 libnotify-dev,
 libgtk2.0-dev,
 libotr5-dev,
 libssl-dev,
 libstrophe-dev,
 pkg-config,
 libexpat1-dev,
 libncursesw5-dev,
 libglib2.0-dev,
 libreadline-dev,
 libgpgme11-dev,
 libcurl4-gnutls-dev,
 uuid-dev,
 libcmocka-dev,
 libxss-dev
Standards-Version: 3.9.8
Homepage: http://www.profanity.im/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/profanity.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/profanity.git

Package: profanity
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: console based XMPP client
 Profanity is a console based instant messaging client for XMPP (Jabber)
 protocol based chat. It is written in C and ncurses, and is inspired
 by popular IRC client IRSSI.
 .
 Profanity's features are:
 .
  * XMPP chat services, including GoogleTalk and Slack.
  * OTR (off the record) and PGP message encryption.
  * Complex roster management with grouping.
  * Desktop notifications via libnotify.
  * Flexible resource and priority settings.
  * Support for colorthemes.
  * Support for plugins in C, Python, Ruby, and Lua.
  * MUC (multi user chatroom) support.

## profanity 0.5.1

=== debian/changelog ===
profanity (0.5.1-3) unstable; urgency=medium

  * enable support for Python plugins

 -- W. Martin Borgert <debacle@debian.org>  Fri, 06 Apr 2018 21:37:39 +0000

profanity (0.5.1-2) unstable; urgency=medium

  * Temporarily disable another problematic unittest (Closes: #890996),
    upstream knows about the unittest issues
  * Bump dh compat to 11

 -- W. Martin Borgert <debacle@debian.org>  Sat, 24 Feb 2018 10:54:41 +0000

profanity (0.5.1-1) unstable; urgency=medium

  * New upstream version (Closes: #854735) finally
  * move to Debian XMPP Maintainers and salsa.debian.org
  * Bump standards version
  * Temporarily disabled problematic unittest (Closes: #852261),
    hopefully solved in next upstream release
  * Depend on current libstrophe (Closes: #857546)

 -- W. Martin Borgert <debacle@debian.org>  Tue, 20 Feb 2018 22:56:23 +0000

=== debian/control ===
Source: profanity
Section: net
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Dariusz Dwornikowski <darek@debian.org>,
 W. Martin Borgert <debacle@debian.org>
Build-Depends:
 autoconf-archive,
 debhelper (>= 11),
 libcaca-dev,
 libnotify-dev,
 libgtk2.0-dev,
 libotr5-dev,
 libssl-dev,
 libstrophe-dev (>= 0.9.1+git20170912),
 pkg-config,
 python-dev,
 libexpat1-dev,
 libncursesw5-dev,
 libglib2.0-dev,
 libreadline-dev,
 libgpgme11-dev,
 libcurl4-gnutls-dev,
 uuid-dev,
 libcmocka-dev,
 libxss-dev
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: http://www.profanity.im/
Vcs-Git: https://salsa.debian.org/xmpp-team/profanity.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/profanity

Package: profanity
Architecture: any
Depends: libstrophe0 (>= 0.9.1+git20170912),
	${misc:Depends},
	${shlibs:Depends}
Description: console based XMPP client
 Profanity is a console based instant messaging client for XMPP (Jabber)
 protocol based chat. It is written in C and ncurses, and is inspired
 by popular IRC client IRSSI.
 .
 Profanity's features are:
 .
  * XMPP chat services, including GoogleTalk and Slack.
  * OTR (off the record) and PGP message encryption.
  * Complex roster management with grouping.
  * Desktop notifications via libnotify.
  * Flexible resource and priority settings.
  * Support for colorthemes.
  * Support for plugins in C, Python, Ruby, and Lua.
  * MUC (multi user chatroom) support.

=== debian/rules ===
#!/usr/bin/make -f

# Export all hardening flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
# "aclocal" fails without "m4" directory
	[ -d 'm4' ] || mkdir 'm4'
	dh_autoreconf
	rmdir --ignore-fail-on-non-empty 'm4'

override_dh_auto_configure:
	dh_auto_configure -- \
	--enable-notifications \
	--enable-python-plugins \
	--enable-c-plugins \
	--enable-plugins \
	--enable-otr \
	--enable-pgp \
	--enable-icons \
	--with-xscreensaver \
	--libdir=/usr/lib/profanity

override_dh_auto_install:
	dh_auto_install
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

## profanity 0.6.0

=== debian/changelog ===
profanity (0.6.0-1) unstable; urgency=medium

  * New upstream version

 -- W. Martin Borgert <debacle@debian.org>  Thu, 28 Feb 2019 23:34:56 +0000

profanity (0.5.1-4) unstable; urgency=medium

  * change Python version for plugins from 2 to 3

 -- W. Martin Borgert <debacle@debian.org>  Wed, 02 May 2018 20:46:59 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libssl-dev,
  libstrophe-dev (>= 0.9.1+git20170912),
  pkg-config,
- python-dev,
+ python3-dev,
  libexpat1-dev,
  libncursesw5-dev,
  libglib2.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	rmdir --ignore-fail-on-non-empty 'm4'
 
 override_dh_auto_configure:
+	PYTHON_VERSION=3; export PYTHON_VERSION; \
 	dh_auto_configure -- \
 	--enable-notifications \
 	--enable-python-plugins \

## profanity 0.7.0

=== debian/changelog ===
profanity (0.7.0-1) unstable; urgency=medium

  * New upstream release with OMEMO support and many bug fixes

 -- W. Martin Borgert <debacle@debian.org>  Sat, 03 Aug 2019 20:36:40 +0000

profanity (0.6.0+git20190718.1bb0556-2) unstable; urgency=medium

  * Upload to unstable

 -- W. Martin Borgert <debacle@debian.org>  Fri, 19 Jul 2019 08:46:10 +0000

profanity (0.6.0+git20190718.1bb0556-1) experimental; urgency=medium

  * New upstream snapshot with various fixes
  * Depends on new libsignal-protocol-c

 -- W. Martin Borgert <debacle@debian.org>  Thu, 18 Jul 2019 21:49:22 +0000

profanity (0.6.0+git20190503.4a165b8-2) experimental; urgency=medium

  * Try a patch to fix unit tests on 32-bit architectures

 -- W. Martin Borgert <debacle@debian.org>  Thu, 09 May 2019 22:17:34 +0000

profanity (0.6.0+git20190503.4a165b8-1) experimental; urgency=medium

  * New upstream snapshot with various fixes

 -- W. Martin Borgert <debacle@debian.org>  Sun, 05 May 2019 22:18:04 +0000

profanity (0.6.0+git20190424.9dd441a-1) experimental; urgency=medium

  * Upstream snapshot with OMEMO support

 -- W. Martin Borgert <debacle@debian.org>  Fri, 26 Apr 2019 22:13:36 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  W. Martin Borgert <debacle@debian.org>
 Build-Depends:
  autoconf-archive,
- debhelper (>= 11),
+ debhelper-compat (= 11),
  libcaca-dev,
  libnotify-dev,
  libgtk2.0-dev,
  libotr5-dev,
  libssl-dev,
- libstrophe-dev (>= 0.9.1+git20170912),
+ libstrophe-dev,
  pkg-config,
  python3-dev,
  libexpat1-dev,
@@ -23,6 +23,8 @@
  libcurl4-gnutls-dev,
  uuid-dev,
  libcmocka-dev,
+ libgcrypt20-dev,
+ libsignal-protocol-c-dev (>= 2.3.2~),
  libxss-dev
 Standards-Version: 4.1.3
 Rules-Requires-Root: no
@@ -32,8 +34,7 @@
 
 Package: profanity
 Architecture: any
-Depends: libstrophe0 (>= 0.9.1+git20170912),
-	${misc:Depends},
+Depends: ${misc:Depends},
 	${shlibs:Depends}
 Description: console based XMPP client
  Profanity is a console based instant messaging client for XMPP (Jabber)

=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,14 @@
 	dh_autoreconf
 	rmdir --ignore-fail-on-non-empty 'm4'
 
-override_dh_auto_configure:
+override_dh_auto_configure: src/gitversion.h.in
 	PYTHON_VERSION=3; export PYTHON_VERSION; \
 	dh_auto_configure -- \
 	--enable-notifications \
 	--enable-python-plugins \
 	--enable-c-plugins \
 	--enable-plugins \
+	--enable-omemo \
 	--enable-otr \
 	--enable-pgp \
 	--enable-icons \
@@ -28,3 +29,11 @@
 override_dh_auto_install:
 	dh_auto_install
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
+
+src/gitversion.h.in:
+	echo "#ifndef PROF_GIT_BRANCH" > $@
+	echo "#define PROF_GIT_BRANCH \"debian/experimental\"" >> $@
+	echo "#endif" >> $@
+	echo "#ifndef PROF_GIT_REVISION" >> $@
+	echo "#define PROF_GIT_REVISION \"$(dpkg-parsechangelog --show-field Version)\"" >> $@
+	echo "#endif" >> $@

## profanity 0.8.1

=== debian/changelog ===
profanity (0.8.1-3) unstable; urgency=medium

  * Re-upload to unstable
  * Add upstream patch to use 12 bytes IV for OMEMO

 -- Martin <debacle@debian.org>  Sun, 23 Feb 2020 21:36:37 +0000

profanity (0.8.1-2) experimental; urgency=medium

  [Martin Dosch]
  * add profanity-light package without X11 and Python dependencies
    (Closes: #838232)

 -- Martin <debacle@debian.org>  Fri, 07 Feb 2020 23:13:28 +0000

profanity (0.8.1-1) unstable; urgency=medium

  * Bug fix release

 -- Martin <debacle@debian.org>  Fri, 07 Feb 2020 22:51:43 +0000

profanity (0.8.0-1) unstable; urgency=medium

  * New upstream release with many improvements,
    see /usr/share/doc/profanity/changelog.gz

 -- Martin <debacle@debian.org>  Mon, 03 Feb 2020 18:48:12 +0000

profanity (0.7.1-1) unstable; urgency=medium

  * Bug fix release (Closes: #940724)

 -- W. Martin Borgert <debacle@debian.org>  Tue, 24 Sep 2019 21:15:25 +0000

=== debian/control ===
Source: profanity
Section: net
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Dariusz Dwornikowski <darek@debian.org>,
 Martin <debacle@debian.org>
Build-Depends:
 autoconf-archive,
 debhelper-compat (= 11),
 libcaca-dev,
 libnotify-dev,
 libgtk2.0-dev,
 libotr5-dev,
 libssl-dev,
 libstrophe-dev,
 pkg-config,
 python3-dev,
 libexpat1-dev,
 libncursesw5-dev,
 libglib2.0-dev,
 libreadline-dev,
 libgpgme11-dev,
 libcurl4-gnutls-dev,
 uuid-dev,
 libcmocka-dev,
 libgcrypt20-dev,
 libsignal-protocol-c-dev (>= 2.3.2~),
 libxss-dev
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: https://profanity-im.github.io/
Vcs-Git: https://salsa.debian.org/xmpp-team/profanity.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/profanity

Package: profanity
Architecture: any
Depends: ${misc:Depends},
	${shlibs:Depends}
Conflicts: profanity-light
Description: console based XMPP client
 Profanity is a console based instant messaging client for XMPP (Jabber)
 protocol based chat. It is inspired by popular IRC client IRSSI.
 .
 Profanity's features are:
 .
  * Supports XMPP chat services
  * MUC chat room support
  * PGP, OMEMO, and OTR encryption
  * Roster management
  * Flexible resource and priority settings
  * Desktop notifications
  * Plugins in Python and C
  * Support for colorthemes

Package: profanity-light
Architecture: any
Depends: ${misc:Depends},
	${shlibs:Depends}
Conflicts: profanity
Description: console based XMPP client, light version
 Profanity is a console based instant messaging client for XMPP (Jabber)
 protocol based chat. It is inspired by popular IRC client IRSSI.
 .
 Profanity's features are:
 .
  * Supports XMPP chat services
  * MUC chat room support
  * PGP, OMEMO, and OTR encryption
  * Roster management
  * Flexible resource and priority settings
  * Plugins in C
  * Support for colorthemes
 .
 This version does not depend on X11 libraries nor Python. If you like
 to have support for xscreensaver, icons, notifications, or Python
 plugins, you should install profanity instead of profanity-light.

=== debian/rules ===
#!/usr/bin/make -f

# Export all hardening flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

FLAGS_profanity_base = \
	--enable-dependency-tracking \
	--enable-c-plugins \
	--enable-plugins \
	--enable-omemo \
	--enable-otr \
	--enable-pgp \
	--libdir=/usr/lib/profanity
FLAGS_profanity_full = $(FLAGS_profanity_base) \
	--enable-python-plugins \
	--enable-notifications \
	--enable-icons-and-clipboard \
	--enable-icons \
	--with-xscreensaver
FLAGS_profanity_light = $(FLAGS_profanity_base) \
	--with-xscreensaver=no \
	--disable-icons-and-clipboard \
	--disable-icons \
	--disable-notifications \
	--disable-python-plugins

BUILDDIR_LIGHT := $(CURDIR)/debian/build-light
BUILDDIR_FULL := $(CURDIR)/debian/build-full

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
# "aclocal" fails without "m4" directory
	[ -d 'm4' ] || mkdir 'm4'
	dh_autoreconf
	rmdir --ignore-fail-on-non-empty 'm4'

override_dh_auto_configure: src/gitversion.h.in
	dh_auto_configure --builddirectory=$(BUILDDIR_LIGHT) -- $(FLAGS_profanity_light)
	PYTHON_VERSION=3; export PYTHON_VERSION; \
	dh_auto_configure --builddirectory=$(BUILDDIR_FULL) -- $(FLAGS_profanity_full)

override_dh_auto_build:
	dh_auto_build -a -- -C $(BUILDDIR_LIGHT)/src
	dh_auto_build -a -- -C $(BUILDDIR_FULL)/src

override_dh_auto_install:
	$(MAKE) -C $(BUILDDIR_LIGHT) install DESTDIR=$(BUILDDIR_LIGHT).inst
	$(MAKE) -C $(BUILDDIR_FULL) install DESTDIR=$(BUILDDIR_FULL).inst
	sed -i "/dependency_libs/ s/'.*'/''/" $$(find . -name '*.la')

override_dh_auto_clean:
	dh_auto_clean
	rm -fr $(BUILDDIR_FULL) $(BUILDDIR_LIGHT) $(BUILDDIR_FULL).inst $(BUILDDIR_LIGHT).inst

src/gitversion.h.in:
	echo "#ifndef PROF_GIT_BRANCH" > $@
	echo "#define PROF_GIT_BRANCH \"debian/experimental\"" >> $@
	echo "#endif" >> $@
	echo "#ifndef PROF_GIT_REVISION" >> $@
	echo "#define PROF_GIT_REVISION \"$(dpkg-parsechangelog --show-field Version)\"" >> $@
	echo "#endif" >> $@

## profanity 0.9.5

=== debian/changelog ===
profanity (0.9.5-2) unstable; urgency=medium

  * Support GTK 3 (Closes: #967711)

 -- Martin <debacle@debian.org>  Wed, 05 Aug 2020 20:50:18 +0000

profanity (0.9.5-1) unstable; urgency=medium

  * New upstream bug fix release
  * Seems to compile with GCC-10 (Closes: #957709)

 -- Martin <debacle@debian.org>  Wed, 01 Jul 2020 22:58:56 +0000

profanity (0.9.3-1) unstable; urgency=medium

  * New upstream bug fix release

 -- Martin <debacle@debian.org>  Sun, 21 Jun 2020 08:48:31 +0000

profanity (0.9.1-1) unstable; urgency=medium

  * New upstream release, which will be easier to backport

 -- Martin <debacle@debian.org>  Thu, 11 Jun 2020 18:35:37 +0000

profanity (0.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Tue, 09 Jun 2020 20:16:31 +0000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
  debhelper-compat (= 11),
  libcaca-dev,
  libnotify-dev,
- libgtk2.0-dev,
+ libgtk-3-dev,
  libotr5-dev,
+ libsqlite3-dev,
  libssl-dev,
  libstrophe-dev,
  pkg-config,

## profanity 0.10.0

=== debian/changelog ===
profanity (0.10.0-1) unstable; urgency=medium

  * New upstream release with many bug fixes and new features
    See /usr/share/doc/profanity/changelog.gz or
    /usr/share/doc/profanity-light/changelog.gz

 -- Martin <debacle@debian.org>  Sat, 09 Jan 2021 21:56:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
  Martin <debacle@debian.org>
 Build-Depends:
  autoconf-archive,
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  libcaca-dev,
  libnotify-dev,
- libgtk-3-dev,
+ libgtk-3-dev (>= 3.24~),
  libotr5-dev,
- libsqlite3-dev,
+ libsqlite3-dev (>= 3.22.0~),
  libssl-dev,
- libstrophe-dev,
+ libstrophe-dev (>= 0.10.0~),
  pkg-config,
  python3-dev,
  libexpat1-dev,
  libncursesw5-dev,
- libglib2.0-dev,
+ libglib2.0-dev (>= 2.62.0~),
  libreadline-dev,
  libgpgme11-dev,
  libcurl4-gnutls-dev,

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,13 @@
 	dh_auto_build -a -- -C $(BUILDDIR_LIGHT)/src
 	dh_auto_build -a -- -C $(BUILDDIR_FULL)/src
 
-override_dh_auto_install:
+fix_whatis:
+	-mkdir man
+	for manpage in docs/*.1; do \
+	    sed '0,/^\/.*/s|^\(/.*\)|\1 \\- the Profanity \1 command.|' < $$manpage > man/$$(basename $$manpage); \
+	done
+
+override_dh_auto_install: fix_whatis
 	$(MAKE) -C $(BUILDDIR_LIGHT) install DESTDIR=$(BUILDDIR_LIGHT).inst
 	$(MAKE) -C $(BUILDDIR_FULL) install DESTDIR=$(BUILDDIR_FULL).inst
 	sed -i "/dependency_libs/ s/'.*'/''/" $$(find . -name '*.la')
@@ -61,3 +67,5 @@
 	echo "#ifndef PROF_GIT_REVISION" >> $@
 	echo "#define PROF_GIT_REVISION \"$(dpkg-parsechangelog --show-field Version)\"" >> $@
 	echo "#endif" >> $@
+
+.PHONY: fix_whatis

## profanity 0.11.0

=== debian/changelog ===
profanity (0.11.0-1) unstable; urgency=medium

  * New upstream release with many improvements, e.g. for MAM
    (message archive management) and OX (OpenPGP for XMPP)
    See /usr/share/doc/profanity/changelog.gz or
    /usr/share/doc/profanity-light/changelog.gz
  * Update debian/watch (Closes: #991295)

 -- Martin <debacle@debian.org>  Sun, 25 Jul 2021 11:39:02 +0000

## profanity 0.11.1

=== debian/changelog ===
profanity (0.11.1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:16:55 +0000

profanity (0.11.1-1) unstable; urgency=medium

  * New upstream bug fix release

 -- Martin <debacle@debian.org>  Tue, 28 Sep 2021 20:38:16 +0000

=== debian/watch ===
version=4
https://github.com/profanity-im/profanity/releases .*/\S+-([\d.]+)\.tar\.xz

## profanity 0.12.1

=== debian/changelog ===
profanity (0.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Martin <debacle@debian.org>  Thu, 21 Apr 2022 19:36:15 +0000

profanity (0.12.0-2) unstable; urgency=medium

  * FTCBFS: reliance on unprefixed python3-config should be fixed.
    (Closes: #986654)

 -- Martin <debacle@debian.org>  Wed, 30 Mar 2022 23:40:02 +0000

profanity (0.12.0-1) unstable; urgency=medium

  * New upstream release with many improvements.
    See /usr/share/doc/profanity/changelog.gz or
    /usr/share/doc/profanity-light/changelog.gz
  * Remove two patches, applied upstream.

 -- Martin <debacle@debian.org>  Wed, 30 Mar 2022 17:26:00 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Martin <debacle@debian.org>
 Build-Depends:
  autoconf-archive,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libcaca-dev,
  libnotify-dev,
  libgtk-3-dev (>= 3.24~),

## profanity 0.13.1

=== debian/changelog ===
profanity (0.13.1-3) unstable; urgency=medium

  * Add qr code support.

 -- Martin Dosch <martin@mdosch.de>  Tue, 13 Jun 2023 09:58:18 +0000

profanity (0.13.1-2) unstable; urgency=medium

  [Stefan Kropp]
  * Fixed d/watch file

 -- Martin <debacle@debian.org>  Sun, 26 Feb 2023 12:27:36 +0000

profanity (0.13.1-1) unstable; urgency=medium

  * Bug fix and maintenance release.

 -- Martin <debacle@debian.org>  Thu, 13 Oct 2022 19:21:45 +0000

profanity (0.13.0-1) unstable; urgency=medium

  * New upstream release.
    - fixes /autoaway command (Closes: #1017549)
      and many other issues
    - adds stream management (esp. for mobile use)
    See /usr/share/doc/profanity/changelog.gz or
    /usr/share/doc/profanity-light/changelog.gz
  * Add Martin Dosch <martin@mdosch.de> and
    Stefan Kropp <stefan.kropp@posteo.de> as uploaders.

 -- Martin <debacle@debian.org>  Tue, 13 Sep 2022 20:22:15 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Dariusz Dwornikowski <darek@debian.org>,
- Martin <debacle@debian.org>
+ Martin <debacle@debian.org>,
+ Martin Dosch <martin@mdosch.de>,
+ Stefan Kropp <stefan.kropp@posteo.de>,
 Build-Depends:
  autoconf-archive,
  debhelper-compat (= 13),
@@ -13,11 +15,11 @@
  libotr5-dev,
  libsqlite3-dev (>= 3.22.0~),
  libssl-dev,
- libstrophe-dev (>= 0.10.0~),
+ libstrophe-dev (>= 0.12.2~),
  pkg-config,
  python3-dev,
  libexpat1-dev,
- libncursesw5-dev,
+ libncurses-dev,
  libglib2.0-dev (>= 2.62.0~),
  libreadline-dev,
  libgpgme11-dev,
@@ -25,6 +27,7 @@
  uuid-dev,
  libcmocka-dev,
  libgcrypt20-dev,
+ libqrencode-dev,
  libsignal-protocol-c-dev (>= 2.3.2~),
  libxss-dev
 Standards-Version: 4.1.3

## profanity 0.13.1-1~bpo11+1+11.0trisquel1

=== debian/changelog ===
profanity (0.13.1-1~bpo11+1+11.0trisquel1) aramo-backports; urgency=medium

  * Backported from debian bullseye fixing logs issues.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 12 Jun 2023 01:33:10 +0000

profanity (0.13.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Martin <debacle@debian.org>  Wed, 19 Oct 2022 07:33:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: profanity
 Section: net
 Priority: optional
-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Dariusz Dwornikowski <darek@debian.org>,
  Martin <debacle@debian.org>,
  Martin Dosch <martin@mdosch.de>,
@@ -19,7 +19,7 @@
  pkg-config,
  python3-dev,
  libexpat1-dev,
- libncurses-dev,
+ libncursesw5-dev,
  libglib2.0-dev (>= 2.62.0~),
  libreadline-dev,
  libgpgme11-dev,
@@ -27,7 +27,6 @@
  uuid-dev,
  libcmocka-dev,
  libgcrypt20-dev,
- libqrencode-dev,
  libsignal-protocol-c-dev (>= 2.3.2~),
  libxss-dev
 Standards-Version: 4.1.3

## profanity 0.14.0

=== debian/changelog ===
profanity (0.14.0-3build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:04:20 +0100

profanity (0.14.0-3) unstable; urgency=medium

  * d/control: Bump standards version to 4.7.0 (no change).

 -- Martin Dosch <martin@mdosch.de>  Sat, 12 Oct 2024 19:22:13 +0000

profanity (0.14.0-2) unstable; urgency=medium

  * d/patches: Add PGP NULL check (Closes: #1080423).

 -- Martin Dosch <martin@mdosch.de>  Sun, 08 Sep 2024 12:01:05 +0000

profanity (0.14.0-1) unstable; urgency=medium

  * New upstream release with many improvements and bug fixes.
    See /usr/share/doc/profanity/changelog.gz or
    /usr/share/doc/profanity-light/changelog.gz

 -- Martin <debacle@debian.org>  Thu, 03 Aug 2023 19:47:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: profanity
 Section: net
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Dariusz Dwornikowski <darek@debian.org>,
  Martin <debacle@debian.org>,
  Martin Dosch <martin@mdosch.de>,
@@ -15,11 +15,11 @@
  libotr5-dev,
  libsqlite3-dev (>= 3.22.0~),
  libssl-dev,
- libstrophe-dev (>= 0.12.2~),
- pkg-config,
+ libstrophe-dev (>= 0.12.3~),
+ pkgconf,
  python3-dev,
  libexpat1-dev,
- libncursesw5-dev,
+ libncurses-dev,
  libglib2.0-dev (>= 2.62.0~),
  libreadline-dev,
  libgpgme11-dev,
@@ -27,9 +27,10 @@
  uuid-dev,
  libcmocka-dev,
  libgcrypt20-dev,
+ libqrencode-dev,
  libsignal-protocol-c-dev (>= 2.3.2~),
  libxss-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://profanity-im.github.io/
 Vcs-Git: https://salsa.debian.org/xmpp-team/profanity.git

## profanity 0.15.0

=== debian/changelog ===
profanity (0.15.0-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Thu, 27 Mar 2025 20:09:19 +0000

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/profanity-im/profanity.git \
refs/tags/@ANY_VERSION@ \
debian

## profanity 0.15.1

=== debian/changelog ===
profanity (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1

 -- Martin Dosch <martin@mdosch.de>  Sun, 24 Aug 2025 18:34:13 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
-Uploaders: Dariusz Dwornikowski <darek@debian.org>,
+Uploaders:
+ Dariusz Dwornikowski <darek@debian.org>,
  Martin <debacle@debian.org>,
  Martin Dosch <martin@mdosch.de>,
  Stefan Kropp <stefan.kropp@posteo.de>,
@@ -10,26 +11,26 @@
  autoconf-archive,
  debhelper-compat (= 13),
  libcaca-dev,
+ libcmocka-dev,
+ libcurl4-gnutls-dev,
+ libexpat1-dev,
+ libgcrypt20-dev,
+ libglib2.0-dev (>= 2.62.0~),
+ libgpgme11-dev,
+ libgtk-3-dev (>= 3.24~),
+ libncurses-dev,
  libnotify-dev,
- libgtk-3-dev (>= 3.24~),
  libotr5-dev,
+ libqrencode-dev,
+ libreadline-dev,
+ libsignal-protocol-c-dev (>= 2.3.2~),
  libsqlite3-dev (>= 3.22.0~),
  libssl-dev,
  libstrophe-dev (>= 0.12.3~),
+ libxss-dev,
  pkgconf,
  python3-dev,
- libexpat1-dev,
- libncurses-dev,
- libglib2.0-dev (>= 2.62.0~),
- libreadline-dev,
- libgpgme11-dev,
- libcurl4-gnutls-dev,
  uuid-dev,
- libcmocka-dev,
- libgcrypt20-dev,
- libqrencode-dev,
- libsignal-protocol-c-dev (>= 2.3.2~),
- libxss-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://profanity-im.github.io/
@@ -38,9 +39,11 @@
 
 Package: profanity
 Architecture: any
-Depends: ${misc:Depends},
-	${shlibs:Depends}
-Conflicts: profanity-light
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Conflicts:
+ profanity-light,
 Description: console based XMPP client
  Profanity is a console based instant messaging client for XMPP (Jabber)
  protocol based chat. It is inspired by popular IRC client IRSSI.
@@ -58,9 +61,11 @@
 
 Package: profanity-light
 Architecture: any
-Depends: ${misc:Depends},
-	${shlibs:Depends}
-Conflicts: profanity
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Conflicts:
+ profanity,
 Description: console based XMPP client, light version
  Profanity is a console based instant messaging client for XMPP (Jabber)
  protocol based chat. It is inspired by popular IRC client IRSSI.

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	--enable-notifications \
 	--enable-icons-and-clipboard \
 	--enable-icons \
+	--enable-omemo-qrcode \
 	--with-xscreensaver
 FLAGS_profanity_light = $(FLAGS_profanity_base) \
 	--with-xscreensaver=no \

## profanity 0.16.0

=== meson_options.txt ===
# Features:
option('notifications',
  type: 'feature',
  value: 'disabled',
  description: 'Enable desktop notifications'
)

option('python-plugins',
  type: 'feature',
  value: 'disabled',
  description: 'Enable Python plugins'
)

option('c-plugins',
  type: 'feature',
  value: 'disabled',
  description: 'Enable C plugins'
)

option('otr',
  type: 'feature',
  value: 'disabled',
  description: 'Enable OTR encryption'
)

option('pgp',
  type: 'feature',
  value: 'disabled',
  description: 'Enable PGP'
)

option('omemo',
  type: 'feature',
  value: 'disabled',
  description: 'Enable OMEMO encryption'
)

option('xscreensaver',
  type: 'feature',
  value: 'disabled',
  description: 'Use libXScrnSaver to determine idle time'
)

option('icons-and-clipboard',
  type: 'feature',
  value: 'disabled',
  description: 'Enable GTK tray icons and clipboard paste support'
)

option('gdk-pixbuf',
  type: 'feature',
  value: 'disabled',
  description: 'Enable GDK Pixbuf support to scale avatars before uploading'
)

option('omemo-qrcode',
  type: 'feature',
  value: 'disabled',
  description: 'Enable ability to display OMEMO QR code'
)

# Other:
option('python_framework',
  type: 'string',
  value: '',
  description: 'Set base directory for Python Framework (macOS only)'
)

option('tests',
  type: 'boolean',
  value: false,
  description: 'Build tests'
)

option('install_themes',
  type: 'boolean',
  value: true,
  description: 'Install themes'
)

option('themes_path',
  type: 'string',
  value: '',
  description: 'Custom path for themes installation (empty for default)'
)

=== debian/changelog ===
profanity (0.16.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patch
  * Bump Standards-Version to 4.7.3, drop Priority: optional and Rules-Requiered-Root: no

 -- Martin <debacle@debian.org>  Fri, 27 Feb 2026 08:18:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: profanity
 Section: net
-Priority: optional
 Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders:
  Dariusz Dwornikowski <darek@debian.org>,
@@ -31,8 +30,7 @@
  pkgconf,
  python3-dev,
  uuid-dev,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://profanity-im.github.io/
 Vcs-Git: https://salsa.debian.org/xmpp-team/profanity.git
 Vcs-Browser: https://salsa.debian.org/xmpp-team/profanity
